XSGrammar (Xerces Native Interface)
Date: 2014-11-21

org.apache.xerces.xni.grammars

## Interface XSGrammar

- All Superinterfaces:
    Grammar

      public interface XSGrammar
      extends Grammar

  Representing a schema grammar. It contains declaration/definitions from a certain namespace. When a grammar is preparsed, and its grammar type is XML Schema, it can be casted to this interface. Objects of this interface can be converted to XSModel, from which further information about components in this grammar can be obtained.
  Version:
    $Id: XSGrammar.java 570135 2007-08-27 14:15:35Z mrglavas $
  Author:
    Sandy Gao, IBM

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.xs.XSModel` | `toXSModel()` Return an `XSModel` that represents components in this schema grammar and any schema grammars that are imported by this grammar directly or indirectly.
    `org.apache.xerces.xs.XSModel` | `toXSModel(XSGrammar[] grammars)` Return an `XSModel` that represents components in this schema grammar and the grammars in the `grammars`parameter, any schema grammars that are imported by them directly or indirectly.

    - ### Methods inherited from interface org.apache.xerces.xni.grammars.Grammar

      `getGrammarDescription`

- - ### Method Detail

    - #### toXSModel

          org.apache.xerces.xs.XSModel toXSModel()

      Return an `XSModel` that represents components in this schema grammar and any schema grammars that are imported by this grammar directly or indirectly.
      Returns:
        an `XSModel` representing this schema grammar

    - #### toXSModel

          org.apache.xerces.xs.XSModel toXSModel(XSGrammar[] grammars)

      Return an `XSModel` that represents components in this schema grammar and the grammars in the `grammars`parameter, any schema grammars that are imported by them directly or indirectly.
      Returns:
        an `XSModel` representing these schema grammars

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.